#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all


PYTHON=/usr/bin/python3

%:
	dh $@ --with autoreconf,python3,apache2

override_dh_auto_configure:
	dh_auto_configure -- --with-apxs=/usr/bin/apxs2 --with-python=$(PYTHON)

override_dh_auto_build:
	dh_auto_build -- APXSFLAGS="-Wc,-ffile-prefix-map=$(CURDIR)=."

execute_after_dh_auto_build-indep:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html -aE Doc doc-html
endif
